Clone Manager Suite Tutorials

The Clone Manager Suite contains the latest versions of Clone Manager, Align Plus and Primer Designer. These programs install in the Sci Ed Central program hub and integrate seamlessly to provide a comprehensive set of tools for sequence manipulation and analysis, sequence alignment, and primer design.

You can view one or more short tutorials that will teach you how to use some of the important features of each of these programs. If you print the topic, you can easily follow the step-by-step instructions while working with your files in the Clone Manager Suite.

Select one of the tutorials below to begin to explore the program's capabilities. After you've reviewed the tutorial, click the Home button to return to this selection list. Click the close button in the upper right corner of this screen to exit.

Sample Files

Molecule files, primer files, and a directory containing vector files are used in the tutorial exercises. You can find these files in the folder Tutorials, in the directory where the Clone Manager Suite is installed or on the program CD.

Learn Clone Manager 7

Clone Manager acts as an expert system to help you with cloning simulation, enzyme operations and graphic map drawing. You can also use Clone Manager as a quick and easy way to view or edit sequence files, find open reading frames, or translate genes. Select a tutorial:

  • Molecule Maps
  • Informative Sequence Display
  • Restriction Map Data
  • Simulate Cloning
  • User-Defined Enzyme Lists
  • Starting with New Sequence
  • Using Results and Sharing Data

Learn Align Plus 5

Align Plus will perform multiple sequence alignments, competently handling large numbers of molecules and large sequence sizes. It can also do local alignments and fast scans for sequence similarity. Alignment results are displayed in a comprehensive, tabbed viewing window and can be printed or copied to the Windows clipboard. Select a tutorial:

  • Multiple Sequence Alignment
  • Compare Two Sequences
  • Format Aligned Sequences
  • Scan for Similarity
  • Internet BLAST Searches

Learn Primer Designer 5

Primer Designer will find optimal primers in target regions of a sequence, amplify features in a molecule, or create products of a specified length. You can search for primer pairs, type in a primer you already have, or position a primer in the molecule sequence and adjust its position or length while evaluating. Select a tutorial:

  • Search for Primer Pairs
  • Create Primer from Molecule
  • Direct Entry of Primer
  • Analyze Mix Wizard
  • Find Primers that Bind
  • Show Primers on Map or Sequence
  • Primer Design Criteria


Learn Align Plus 5 Tutorial - Internet BLAST Search

Learn Align Plus 5 - Tutorial

Internet BLAST Search

Using Align Plus, you can set up a remote search using the NCBI BLAST server. You need an internet connection to use this function.

The Align Plus program will help by handling query sequence formatting, in-frame translation, or excision of a subsequence, and will send your request to the server over the internet. The built-in web browser will show results and allow you to access molecules of interest.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Set up BLAST Search
DNA or Protein Searches
View Results

Set up BLAST Search

For this example, we will search recent additions to the NCBI database that match a query sequence. For the query sequence, we will select the gag gene in an HIV molecule (file Lrn_HIV.cm5, supplied with this tutorial). You can load this molecule file now or use the Browse button in the Molecule List box to find and load the molecule when needed.

Getting started

  • Click Align, BLAST Internet Search (NCBI).
  • The upper area contains the BLAST URL and could be changed, if needed, to link to the NCBI web site using a modified URL.
  • If you are using this operation for the first time, you can click the Options button to view or modify your internet access configuration settings.

  • In the lower area, click the Change... button and select the molecule HIVHXB2 from the Molecule List.
  • If the molecule has not yet been loaded, use the Browse button (lower left) to find the molecule file Lrn_HIV.cm5.
  • Set Partial Sequence for the match region and click the small features button to access the features table for this molecule.
  • Select the gag gene to prestuff the basepair positions into the dialog box, or enter the basepair numbers shown below.
  • Set the process option to None

  • Click Next to select the BLAST options for your search

Select BLAST options

  • Use the upper combo box to select the BLAST program you want to use.
  • A description of the selected program is provided below the selection.
  • The programs available depend on whether your query sequence is DNA or protein (see discussion in next section).
  • Select the program blastn

  • Use the lower combo box to select the BLAST database you want to search.
  • A description of the selected database is provided below the selection.
  • The databases available depend on the program selected (above).
  • Select the database month to search only the most recent entries.

  • Click Finish to prepare your query sequence and send your request over the internet to the NCBI BLAST server.

The program will send your request to the NCBI BLAST server and the built-in web browser window will open to show the connection to the NCBI and the progress of your search request. The last section (View Results) continues this exercise description.

DNA or Protein Searches

There are sometimes specific advantages to doing either DNA or protein searches. Some specific BLAST programs will handle query sequence translation as part of the search program. In other cases, you should select the option to process (translate) the sequence if you want to do a protein search.

DNA Searches

Searching for DNA homologies is most useful when you are looking for non-protein homologies (such as ribosomal RNA genes or transcriptional control zones) or searching for homologies without wanting to bias the search by requiring a continuous in-frame translation product. This can be especially important in cases where your sequence may contain frame-shift mutations or errors. A DNA search is able to cope with multiple single-base frame-shifts, whereas a protein search would only find the longest common in-frame portion.

For a BLAST search, in addition to using a DNA query sequence, select a BLAST program that compares a nucleotide query sequence against a nucleotide sequence database.

Protein Searches

Searching for protein homologies is most useful when you are interested in finding similar gene products either for studying gene families or for finding proteins that may provide insight into the biological mechanisms of action of a newly acquired sequence.

For a BLAST search, you can use a protein (or DNA translated in 1 frame) query sequence and search against a protein sequence database or against a nucleotide sequence database dynamically translated in all reading frames. You can also select a BLAST program that will automatically translate a nucleotide query sequence in all reading frames and compare against a protein sequence database or against translated nucleotide sequence databases.

An advantage of selecting searches in all 6 frames is that you can find which reading frames contain identifiable genes. Such searches take much longer than translating a known gene in one frame.

View Results

Once the BLAST search request has been sent to the NCBI BLAST server, the web browser will open, displaying the NCBI Formatting page. To view results as soon as they are available, press the Format button on the web page.

Our results for this exercise report 180 BLAST hits in the current month's entries on the query sequence. We can view a graphic display of the location of these hits and see a list of the molecules with significant sequence similarities.

When viewing results, you can jump to molecules of interest. In our results, we scrolled down to the list of molecules and clicked on the first molecule name to view this molecule file.

When you are viewing a molecule file, if the molecule data is in the GenBank or default format (as shown below), you can import the molecule directly into the program for use now. The sequence data, genes read from the features table, and descriptive information will all be a part of the new molecule. Click the Get Molecule button on the browser window toolbar (not on the web page) to import the molecule for immediate use.

You can also save molecules to a disk file on your computer and later read these files into Align Plus or other software programs. Select the GenBank display format before saving to a file. You can also collect a number of molecules on the Clipboard provided by NCBI and then save all of these molecules to a disk file for later use. The Align Plus program can read GenBank format files that contain multiple molecules. You can also save the search results to a disk file for later viewing in your web browser.

If the NCBI BLAST server is sluggish, you can elect to view results later. Jot down the ID number for your search request and then close the web browser. At some later time, use your web browser to connect to the NCBI site (http://www.ncbi.nlm.nih.gov/blast/blast.cgi) and click where you see the link "Click here to retrieve results if you already have a Request ID" (below the sequence input box). Enter the ID number to retrieve your results.


Learn Align Plus 5 Tutorial - Compare Two Sequences

Learn Align Plus 5 - Tutorial

Compare Two Sequences

Using Align Plus, you can compare two sequences by searching for regions of local homology using the FastScan method, maximized for score or quality, or the Needleman-Wunsch method. The FastScan procedure is based on the rapid search lookup table methods popularized by FAST and BLAST, modified to allow homologies with multiple gaps and frame shifts.

Once the local homology search is complete, you can view a list of the best regions found, inspect the aligned sequences or view a location map of the homology blocks.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Set up Comparison
View Results

Set up Comparison

For this example, we will look for regions of local homology in two common vectors, using the files Lrn_SpBR.cm5 and Lrn_BKSm.cm5, supplied with this tutorial. You can load these molecule files now or use the Browse button in the Molecule List box to find and load the molecules when needed.

Getting started

  • Click Align, Compare Two Sequences.
  • Set Local for the comparison type
  • Set the method to Fast Scan - MaxScore and accept the default of 20 results
  • (The MaxScore option is used to bias the search in favor of high-scoring regions.
    The MaxQual option will favor finding shorter regions of very high homology.)
  • Set DNA bases (compare sequences as) and set the checkbox to compare both strands.

  • Click Next to select the molecule sequences to compare

Select sequences to compare

  • Click the Molecule List button to the right of the molecule name box for Sequence 1
  • Select SampleBKSm (file name Lrn_BKSm.cm5) from the Molecule List.
  • If the molecule has not yet been loaded, use the Browse button (lower left) to find the file.
  • Next click the Molecule List button to the right of the molecule name box for Sequence 2
  • Select SamplePBR (file name Lrn_SpBR.cm5)
  • You can use the Flip button to reverse the position of the molecules, if needed.

  • Click Finish to complete setup instructions and begin the sequence comparison.

Based on the length of the search region, the program will automatically select the appropriate ktup (block size) for the homology search to provide a very sensitive search. The program will now begin to compare the full sequence of each molecule, looking at both strands.

If you wanted to compare only a part of a molecule sequence, you could set the Partial Sequence option, identify the start and end basepair positions of the region to be compared, and use the checkbox if this region is on the complement strand.

View Results

Results of local alignments include a sortable list of homologies found, shown in table or graphic format. For each homology block listed, you can view the aligned sequences or a detailed map of the local homology region.

Info tab

Click the Info tab to see a table that lists the regions of local homology found. You can use the combo box to sort the results by score, percent matches, length, or the start position of the region of homology in either molecule. Score is a composite value that reflects the number of aligned matching bases with penalties for mismatched bases or gaps in the alignment.

Our sample results are sorted by score and one really long homologous region is noted. You can move the highlight bar to any region of homology found. When you click the Sequence or LMap tabs, you will see the aligned sequence data or a detailed map for this selected region.

Picture tab

Click the Picture tab to get a graphic view of this list of homologies found. This view consists of a set of simple maps locating these local homologies. Each entry shows the region of local homology as a colored bar, between lines representing the two molecules. Like the Info tab view, you can sort these results and move the highlight bar to select a region in order to view sequence or detailed map data. With the results sorted by Score, position the highlight bar on the first result (Score = 1934).

Sequence tab

Click the Sequence tab to view the actual aligned sequences of the homology block selected. The default view shows only non-matching bases (difference format), with a dot used to indicate a match. The background area behind non-matching bases is colored to assist with finding these non-matches. In our sample results, we had to scroll through several screens of aligned sequence to locate this mismatch.

You can change the way the sequence is displayed (see the tutorial Format Aligned Sequences for more information).

LMap tab

Click the LMap tab to view a more detailed map showing the approximate location of the selected region of homology within each of the molecules. Molecule names are shown, along with homology block basepair coordinates. The regions of local homology appear as colored bars. Homologous regions on the normal strand appear in blue, while regions on the complement strand appear in green.

Also shown is the location of genes that were entered to the feature table. In this example, the homology includes the amp/bla gene.

You can click the Next Result or Previous Results toolbar buttons to navigate through the list of local homologies found without leaving the sequence or map view windows.


Learn Align Plus 5 Tutorial - Format Aligned Sequences

Learn Align Plus 5 - Tutorial

Format Aligned Sequences

Aligned sequences contain a great deal of information. However, it can be very hard to discern what is important. For this reason, Align Plus allows you to display the actual aligned sequences in a variety of formats. Some of these formats emphasize the differences between the sequences, some emphasize the similarities. Some formats apply color if the similarity exceeds a specified value, which can be set by the user.

Once the aligned sequence format is just the way you want it, you can print the aligned sequences in this format, or send them to the clipboard or to a disk file to later insert in a document.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Perform Sample Alignment
View Results
Print or Copy Aligned Sequences

Perform Sample Alignment

For this example, we will do a global alignment of five LDH proteins, using the files BSTEAR.LDH, CHICK.LDH, HUMAN.LDH, LACTOBAC.LDH and PIG.LDH, supplied with this tutorial. You can load these molecule files now or use the Browse button in the Molecule List box to find and load the molecules when needed.

Getting started

  • Click Align, Align Multiple Sequences
  • Set Global-Ref for the alignment type
  • Set Amino Acids (align sequences as) and BLOSUM 62 (scoring matrix)
  • Click Next to select the molecule sequences to align

Select sequences to align

  • Click the Add Molecule (Molecule List) button to the right of the list box (top button)
  • Select the molecules Human-LDH, Pig-LDH, Check-LDH, Lactobac-LDH and Bacillus-LDH.
  • If the molecules have not yet been loaded, use the Browse button (lower left) to find the 5 molecule files (all have *.LDH extension)
  • Use the Move Up or Move Down buttons at the right to move the sequences into the order shown.
  • Human-LDH should be in position 1 so that it is used as the reference sequence against which all the other sequences will be aligned.

  • Click Finish to complete setup instructions and begin the alignment.

View Results

Following the alignment of all of the sequences against the reference sequence, the alignment results are displayed in a tabbed window. Click on the Sequence tab to view the actual aligned sequence data. You can easily move between standard formats that emphasize the similarities or differences between the sequences or you can format the sequences in a variety of styles.

Standard formats

  • Click the Sequence tab to view aligned sequences
  • In the window toolbar, set the combo box (Similarity Significance Value) to 100%
  • Check out the default format (we moved down a screen to view this part of the sequence).

  • This format focuses on similarity -- it shows all bases and uses color to distinguish areas with high matches (in this case 100% matches to the reference sequence, since that was the value we specified in the step above).
  • Click the Switch Format toolbar button
  • Check out the alternate default format

  • This format focuses on differences -- it shows only bases that do not match the reference sequence (Human-LDH) and uses background color to bring these to your attention.

You can use the Switch Format toolbar button to move back and forth between these two standard formats, to see which will give you the best information at a given time. You can also set additional formatting options, to customize the aligned sequence display.

More format options

  • Click the Format button (looks like a paintbrush) to access the full set of sequence format and page style options.
  • Set the Display option to Show All Bases and Distinguish or Show Only Non-matching Bases.
  • Next select the display style using the drop-down arrow in the combo box to see the options available.

  • Use the small sample area (top, right) to see how the sequence would look in this style.
  • If the display style has a background color, you can use the combo box at the right to select a different color, if needed.

The sample shown below shows all bases as plain text (black letters) with blocks of color below the aligned sequences when the extent of similarity at the basepair position is greater than or equal to the Similarity Significance Value set (we used 100%). To select this format, set Show All Bases and Distinguish and select the Similarity Summary Bars display style.

The next sample shows only non-matching bases and applies color to non matches. Conservative amino acid changes are shown in green, while mismatched bases are shown in red. Dots are used to indicate matches. To select this format, set Show Only Non-matching Bases and select the Color Non-matching Bases display style.

You can also elect to color the aligned sequences by composition (A/T vs C/G for DNA sequences; polar amino acids vs non-polar amino acids for protein sequences) or to show a consensus sequence below the aligned sequences (show base letter for the most common base in a given position).

Page style options

You can set style options for the molecule names and basepair numbers that will appear with your aligned sequences. The number of bases of sequence per line will be affected by these selections. You can also set options for printed output.

  • Click the Format button (looks like a paintbrush) to set sequence format and page style options.
  • Set the molecule name to show at left or do not display.
  • Select lower or upper case letters for all bases in the sequences
  • Select to show basepair interval numbers at the left or right edges, across the top of each block of aligned sequence, or do not display

  • Select the font size to be used for sequence data sent to your printer. The font size will also affect the number of bases of sequence per line. The font face will always be Courier New if this is supported in your printer.
  • Use the printer set-up box if you want to change page orientation (from portrait to landscape)

Print or Copy Aligned Sequences

When the format is just the way you want it, you can print the aligned sequences in this format, or send them to the clipboard or to a disk file to later insert in a document. You can also use a feature on the Operations menu to export alignment data in a special way. Using this feature, you can export the consensus sequence of an alignment or you can export the aligned sequences in CLUSTAL W format for later use in another program.

Print aligned sequences

You can set page style options (see above section) to control the font size and the other information (molecule name, basepair numbers) that will affect the number of bases per line. You can use the printer set-up box if you need to switch to a landscape orientation. If you want to have greater control over the number of bases per line or if you want to be able to change font size or text color, you can copy the aligned sequences to the clipboard and then paste into a word processing document.

Copy to clipboard

You can copy the aligned sequence data and place this information on the clipboard for use in another Windows program. In addition to setting the format options (described in the preceding section), you can control the number of bases per line by changing the width of the results display window. Use the mouse to drag the right margin of the window to make the window wider or narrower, as needed. (The number of bases per line is changed in increments of 10 bases, so you may have to pull the window out a distance before you see a change.)

To copy the aligned sequences to the clipboard, click View, Send View to Clipboard. The information in the view window is automatically selected and then copied to the clipboard. To place this information in a document in your word processing program, move to the appropriate place in the document and paste the contents of the clipboard into your document (usually Edit, Paste or Edit, Paste Special).

Send to a disk file

You can export the aligned sequence data and save this information in a file on disk. You can set the format options and control the number of bases per line as described above (copy to clipboard).

To export to a disk file, click View, Send View to File. The information in the view window is automatically selected and saved to disk in the file format specified. Characters in color will retain this color when saved in html or rtf formats. Colors used for background areas behind bases can be saved in html format. To place this information in a document in your word processing program, move to the appropriate place in the document and insert the contents of the disk file into your document (usually Insert, File).


Learn Align Plus 5 Tutorial - Multiple Sequence Alignment

Learn Align Plus 5 - Tutorial

Multiple Sequence Alignment

Using Align Plus, you can align a group of DNA or protein sequences against a reference sequence or against each other. You can view a summary table of results, see aligned sequences in a variety of formats, or view a graphic display of areas of significant similarity in each sequence.

Following the alignment, you can use special export procedures to export the consensus sequence from the alignment or export the aligned sequences in CLUSTAL W multiple sequence alignment format.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Set up Alignment
View Results
Export Data

Set up Alignment

For this example, we will do a multi-way alignment of five LDH proteins. This type of multiple sequence alignment does exhaustive pairwise alignments of all sequences and progressive assembly of alignment using Neighbor-Joining phylogeny. We will use the files BSTEAR.LDH, CHICK.LDH, HUMAN.LDH, LACTOBAC.LDH and PIG.LDH, supplied with this tutorial. You can load these molecule files now or use the Browse button in the Molecule List box to find and load the molecules when needed. (To load multiple files, click on the first file and then hold down the control key while selecting the rest of the files.)

Getting started

  • Click Align, Align Multiple Sequences.
  • Set Multi-Way for the alignment type
  • Set Amino Acids (align sequences as) and BLOSUM 62 (scoring matrix)

  • Click Next to select the molecules to align

Select molecules to align

  • Click the Add Molecule (Molecule List) button to the right of the list box (top button)
  • Select the molecules Pig-LDH, Bacillus-LDH, Chick-LDH, Human-LDH and Lactobac-LDH.
  • If the molecules have not yet been loaded, use the Browse button (lower left) to find the 5 molecule files (all have *.LDH extension)
  • You can select multiple molecules at the same time by using the Shift or Control keys in conjunction with the mouse.

  • Select (highlight) Human-LDH and use the Move Up button (at right) to move this molecule into Position 1 (if you want your results to match the examples given below).
  • Click Finish to complete setup and begin the alignment.
  • When you see the message that asks if the program can re-arrange the order of the sequences, click Yes.

View Results

Following the exhaustive pairwise alignments and progressive assembly of alignment using Neighbor-Joining phylogeny, the alignment results include a phylogeny dendrogram which suggests the pattern of relatedness of all of the sequences aligned (Picture tab). Other view tabs show a table summarizing the alignment results (Info), the actual aligned sequences (Sequence), and a graphic display of areas of significant similarity (LMap).

Info tab

Click the Info tab to see the summary table of results. As expected, the results indicate that the animal LDHs are very similar, while the bacterial proteins are distinctly different.

Picture tab

Click the Picture tab to view the phylogeny dendogram. This pictorial view supports the summary of results (above) and also shows that human and pig LDH proteins are more closely related and distinct from chick LDH. It is also apparent that the bacterial proteins diverged quite early and are distinctly different.

Sequence tab

Click the Sequence tab to view the actual aligned sequences. The default view shows the aligned sequences with a colored background behind areas of high matches at the same base position.

You can change the way the sequence is displayed (see the tutorial Format Aligned Sequences for more information).

LMap tab

Click the LMap tab to view the graphic display of the location of areas of sequence similarity.

In this multi-way alignment, each sequence is compared with a virtual composite sequence and a colored bar shows regions where similarity is greater than or equal to the significance value (show in toolbar combo box). Regions with color bars for all five of the proteins correspond to conserved domains that could indicate regions that are important for the distinct functionality of this protein family.

You can point to an area on one of the maps and depress the left mouse button to find out the basepair position at the cursor location.

Export Data

Once an alignment has been completed, special alignment data export functions can be found on the Operations menu. The consensus sequence of an alignment or a special merged/spliced consensus sequence can be exported to a disk file, copied to the clipboard, or loaded as a molecule for use now. The sequence will be exported in ASCII (DOS text) file format in upper case letters, 60 bases per line, with no base pair numbers. Aligned sequences can also be copied or exported in CLUSTAL W multiple sequence alignment file format for later use in another program.

You can also copy or export the aligned sequences, as shown on the display screen (not in CLUSTAL W format), for use in another program. Just click View, Send View to Clipboard or Send View to File to capture the alignment data.


Learn Align Plus 5 Tutorial - Scan for Similarity

Learn Align Plus 5 - Tutorial

Scan for Similarity

Using Align Plus, you can search for similarities to a sequence by scanning folders of sequence files on your personal computer or local network. The program will open each file, scan the sequences found, and record significant regions of similarity encountered. You can save and recall lists of frequently-used search locations.

Results include a sortable list or graphic view of regions of similarity found. From the results list, you can use the Scan Results Wizard to identify molecules to load for use now, save to a disk file for later use, or set up as an assembled multiple sequence alignment.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Set up Scan
View Results
Use the Scan Results Wizard

Set up Scan

For this example, we will scan a collection of vector files, looking for regions of similarity to the sequence contained in file Lrn_pGag.cm5, supplied with this tutorial. You can load this molecule file now or use the Browse button in the Molecule List box to find and load the molecules when needed. The vector files do not have to be loaded; the program will scan the files in the location specified. These files can be found in the subfolder Vectors, within the folder Tutorial, where this program was installed or on the program CD.

Getting started

  • Click Align, Scan for Similarity.
  • In the upper area, set New Search for the search type

  • In the lower area, click the Change... button and select the molecule pGag153x from the Molecule List.
  • If the molecule has not yet been loaded, use the Browse button (lower left) to find the molecule file Lrn_pGag.cm5.
  • Set Full Sequence (match region) and None (process)

  • Click Next to identify the files or folders to scan

Select sequences files to scan

  • Click the Add Folder button (top button at right)
  • Navigate to the Vectors folder (a subfolder found in the Tutorial folder) and click OK to add this folder to the search list.
  • If you had multiple folders or individual files to scan, they could be selected here and added to the list.
  • If you often search the same locations, you can save the search list and later recall this list when needed.

  • In the lower area, set scan parameters to Standard speed, Standard cutoff value.

  • Click Finish to complete scan instructions and begin the search for similarities.

The search method used by the scan operation is based on the rapid search lookup table methods popularized by FAST and BLAST, modified to allow homologies with multiple gaps and frame shifts. The program will search for regions of similarity on both strands of the DNA molecules or library sequences.

If you wanted to look for regions of similarity to only a part of a molecule sequence, you could set the Partial Sequence option, identify the start and end basepair positions of the region to be compared, and use the checkbox if this region is on the complement strand. You can also indicate if you want the program to translate the molecule -- there are specific advantages to doing either DNA or protein searches. (See the program Help for more information about this topic.)

View Results

Once the scan operation is complete, you can view different aspects of the scan results in a tabbed display window. You can view a list of the regions of similarity found, shown in table or graphic format. For each similarity found, you can inspect the aligned sequences or view a location map.

Info tab

Click the Info tab to see a table that lists the regions of similarity found. You can sort this list by score, percent matches, length, or the start position in the search sequence. Use the combo box to sort the results by score.

A major region of local homology is noted with the vector ACVPBD64. This was the vector used to prepare the search molecule, so this result is expected. We also note a good-sized region of homology with the vector BSCLOVECA, and we might want to investigate this further. More interesting to us at this time, are the small regions of homology (score 42) found in so many of the vector files.

If you print these results, the printout will include the information shown above, as well as the basepair positions for the region of similarity in the search molecule and the similar region in the library molecule.

Picture tab

Click the Picture tab to get a graphic view of this list of similarities found. Each display entry shows the approximate location of the region of homology (represented by a colored bar) in the search molecule sequence. Like the Info tab view, you can sort these results and move the highlight bar to select a region in order to view sequence or detailed map data.

The small regions of homology (score 42) found in the vector files map to the same location in the search molecule sequence.

With the results sorted by Score, position the highlight bar on the similarity found in the molecule ARP327.

Sequence tab

Click the Sequence tab to view the actual aligned sequences of the region of similarity selected. The default view shows only non-matching bases (difference format), with a dot used to indicate a match. In this example, all bases match. If there were non-matching bases, the background area behind these non-matching bases would appear in color.

LMap tab

Click the LMap tab to view a more detailed map showing the approximate location of the selected region of homology within each of the molecules. Molecule names are shown, along with homology block basepair coordinates. The regions of local homology appear as colored bars. Homologous regions on the normal strand appear in blue, while regions on the complement strand appear in green.

It looks like we left a small piece of the tet gene in our recombinant. Apparently, 18 vectors in this collection contain the same 42-base sequence, and two others contain slightly smaller regions. You could prepare a folder of vectors commonly used in your lab and scan new sequences for similar vector contamination.

Use the Scan Results Wizard

At the completion of a scan for similarity, you can use the Scan Results Wizard to select one or more molecules and load the molecule files for use now, extract the molecules from a databank file for use later, or set up a multiple sequence alignment of these molecules, using the scan results as a starting point.

One molecule -- If just one molecule is of further interest, move the highlight bar to the molecule name in the results list and then click the Scan Results Wizard toolbar button. The wizard can help you load this molecule for use now or extract the molecule from a databank library file and save it to disk.

Multiple molecules -- Click the Scan Results Wizard toolbar button and then pick the molecules from the list box provided. Mouse-click to tag each molecule you want to select and then click Next.

You can tell the wizard to load these molecules now or extract them from a databank file and save to disk for later use.

You can also tell the wizard to set up an Assembled Multiple Sequence alignment. The source sequence and match region used for the scan operation will be specified as the reference sequence for the assembled alignment. Each of the molecules you selected will be aligned against the reference sequence, using the homology region identified in the scan. Once you see the alignment setup dialog boxes, you can click Finish to complete the setup and begin the alignment procedure, or you can change the setup instructions, as needed.


Learn Clone Manager 7 Tutorial - Simulate Cloning

Learn Clone Manager 7 - Tutorial

Simulate Cloning

The ability to quickly simulate cloning operations gives you the chance to try out many alternate cloning strategies in order to find the best. Clone Manager can cut DNA at enzyme cut sites and can ligate DNA, checking for compatible ends. You can modify molecule ends, if needed for ligation, and select the cloning orientation. After a cut operation or ligation, the program will automatically recalculate molecule features and enzyme sites.

You can use the Ligate window to manually control all aspects of the cloning operation or you can try the Plan Cloning Wizard to review a list of possible solutions for your cloning objectives.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Make Recombinant in Ligate Window
Use the Plan Cloning Wizard

Make Recombinant in Ligate Window

For fast simulated cloning, you can cut, modify ends (if needed), and ligate -- all from the same display window showing sticky ends and molecule icon maps. In this example, we will insert a gene (gag) into a vector (pBR322), using two files supplied with this tutorial (Lrn_SpBR.cm5 and Lrn_HIV.cm5 -- found in the same folder as this tutorial). You can load these molecules now or use the Browse button in the Molecule List box to find and load the molecules as you need them. We used restriction enzyme map data to identify the enzymes we wanted to use to cut each molecule. (Another tutorial will help you to learn more about using Restriction Map Data.)

Select vector molecule and start procedure

  • Click File, Molecule List or use toolbar button to access
  • Select molecule samplePBR (file name Lrn_SpBR.cm5)
  • Click Clone, Ligate. The PBR322 molecule should appear in the upper (vector) panel in the Ligate window.

Prepare vector

  • Click the small Cut button (scissors) to the right of the PBR322 molecule
  • Set the option to cut with Enzyme(s)
  • Type in EcoRV, BamHI and click OK.

  • In the cut results box, select the larger fragment and click Use Now.

  • The vector map shows the linear fragment of PBR322 with two ends ready for ligation

Select and Prepare insert

  • Click the small Molecule List button to the right of the lower window
  • Select HIVHXB2 as the insert molecule (file name Lrn_HIV.cm5).
  • Click the small Cut button (scissors) to the right of the HIVHXB2 molecule
  • Set the option to cut with Enzyme(s), type in HaeII, BclI and click OK.
  • In the cut results box, select the second fragment (shown as gag gene in icon map) and click Use Now.

    • In the ligate window, you can see that the sticky end produced by BclI is identical to that produced by BamHI, so ligation will join these two ends. However, the other two ends are not compatible and will not ligate without modification.

  • Click the small Modify Ends button to the right of the lower window
  • In the Type of Modification, select 3'-5' exo (to trim the 3' overhang from the HaeII cut end of the gag fragment) and then click Modify.

Ligate

  • Check out your work -- all ends are now compatible for ligation

  • Click the Ligate button.
  • Enter new molecule to the molecule list, using name "product"

The working map of the new molecule shows the inserted gag gene, transcribed from the tet promoter. The newly-ligated product has been scanned using all enzymes present in either starting fragment and the map sites list updated, as needed. The ligate window lets you take each step in sequence and review each operation. At the end of the ligation procedure, you will have a new DNA sequence that is the result of the cut, end modification, and ligation events.

Use the Plan Cloning Wizard

The Plan Cloning Wizard lets you describe your cloning objectives, review the list of possible solutions, and instruct the Wizard to construct the recombinant of your choice. It is often very useful when you need to find a quick solution, especially when your standard enzymes just can't do the job.

For this example, we'll do the same task as described in the above section. We will insert a gene (gag) into a vector (pBR322), using two files supplied with this tutorial (Lrn_SpBR.cm5 and Lrn_HIV.cm5). You can load these molecules now or use the Browse button in the Molecule List box to find and load the molecules as you need them.

Getting started

  • Click Clone, Plan Cloning to start the wizard.
  • Review the basic instructions and then click Next.

Define what you want to clone

  • Click the small Molecule List button and select the molecule HIVHXB2 (file name Lrn_HIV.cm5) as the insert molecule.
  • In the Region to Clone section, click the small Features Table button and select the gag gene to prestuff the basepair positions 336 and 1838.

  • Click Next.

Define the vector you want to use

  • Click the small Molecule List button and select the vector molecule samplePBR (file name Lrn_SpBR.cm5)
  • In the section Clone into Region, click the small Features Table button and select the tet gene to prestuff basepair positions 86-1276.

  • Click Next.

Select enzyme list

  • For the Enzyme List, select Scanner. (This enzyme list contains major, commercially-available enzymes with recognition sequences of 6 or more bases).
  • Click Next.

Set enzyme preferences

  • For Enzymes to Cut Insert, select Prefer 2 distinct enzymes.
  • For Blunt-cutting Enzymes, select Allow if Required.
  • For End Modifications, select Do Not Allow.
  • Click Next.

Set cloning preferences

  • For Orientation of Cloned Insert, select Require > Orientation so that we find inserts in the clockwise direction.
  • For Limit Extra Insert DNA, select Prefer Close Cuts.
  • For Preferred Enzyme Supplier, select New England BioLabs
  • Click Next.

Review the instructions to the wizard and then click Finish. The wizard will now look for enzymes that will cut each molecule as instructed and generate a list of possible solutions, using your preferences to put the best solutions at the top of the list. The first result in the list for this sample shows a small insert size (as requested), with the correct orientation, uses enzymes available from the preferred supplier, but does require one blunt end ligation (shown with square brackets ] [ between the two enzyme names).

Click the Details of Construction button to view information about the procedures, enzyme buffers and inactivation temperatures for the solution selected (highlighted).

Click the Construct Recombinant button to instruct the wizard to automatically do each of the steps required to complete the construction and prepare the recombinant molecule. Enter the new molecule to the Molecule List as Product2.

The working map of the new molecule shows the inserted gag gene, transcribed from the tet promoter. The newly-ligated product has been scanned using all enzymes present in either starting fragment and the map sites list updated, just as if you had done the procedure using the Ligate window. You can return to the Plan Results list and select additional solutions to prepare other recombinant molecules, as needed.


Learn Clone Manager 7 Tutorial - Molecule Maps

Learn Clone Manager 7 - Tutorial

Molecule Maps

Clone Manager draws molecule maps on screen (working map) that you can use to locate molecule features and enzyme sites or initiate actions. It also sends high-resolution maps (graphic maps) to your printer or to a disk file or the Windows clipboard for use in other applications.

You can control styles and colors used for features and enzyme sites on the printed map and you can use custom settings to highlight important features.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Working Maps
Printing, Copying Graphic Maps
Customizing Graphic Maps

Working Maps

You can load the file Lrn_SpBR.cm5 (found in the same folder as this tutorial) or load one of your own molecules. The basic molecule working map will be either circular or linear, depending on the molecule, and can display features (genes, regions, markers) and enzyme sites. The enzyme sites are also listed at the right and you can click on the column headers to sort the list by enzyme name or by basepair position. You can use the mouse to get more information or initiate actions on this display.

To view a molecule map

  • Open a molecule file or select a molecule from the Molecule List to open the molecule viewer window
  • If the map is not displayed, click the Map tab at the bottom of the window, and then look at the four different feature types (boxed in the sample map, below).
  • Genes appear on the map as pointers inside (below) the mapline.
  • Regions (user-defined sections) appear as boxes on the mapline.
  • Markers appear as short, solid lines crossing the mapline.
  • Enzyme sites appear outside (above) the mapline.

Mouse actions

  • Point to a feature name and depress left mouse button to see feature information (basepair positions, strand).
  • Point to an enzyme name and depress the left mouse button to see basepair position for this site.
  • Left Click on site on map to select an enzyme site (turns red when selected)
  • Use toolbar buttons to cut at the selected site, delete the site, find enzyme suppliers or isoschizomers, or view the properties of the site.

In the enzyme site properties display shown above, the enzyme recognition sequence (shown in color) is displayed in the context of the flanking sequence. The cut position is marked by a staggered vertical line. Genes in this area are shown as a line below the sequence. In this example, the enzyme PstI cuts within the bla gene, which is on the complement strand (noted with «).

If your molecule map has no features, you can click the Find ORFs button in the window toolbar to locate open reading frames and add them to the map as genes. If your map has no enzyme sites, you can click the AutoScan button to find all single cutters from the scanner list and add these sites to the molecule map.

Printing, Copying Graphic Maps

You can use options on the Clone, Send Map menu to preview the map in its printed format, send the map to your printer, copy the map to the clipboard, export it to a disk file for use in other Windows programs, or save the map in a format that can be used on web pages. You can also use the Clone, Map Print Options menu to change the appearance or content of the high-resolution graphic map (see next section) before printing.

Print graphic map

  • Open a molecule file and click Map tab to view working map on screen
  • Click Clone, Send Map, Preview to check the appearance of your map before printing
  • Click Print or use the toolbar Print button to send the map to your printer.

Copy map to clipboard

  • Open a molecule file and click Map tab to view working map on screen
  • Click Clone, Send Map, Clipboard to copy the map to the Windows clipboard
  • To paste your map in a Word document, open your word processing program and move to the place where you want your map
  • Click Edit, Paste Special and select paste as Enhanced Metafile.

Send map to disk file

  • Open a molecule file and click Map tab to view working map on screen
  • Click Clone, Send Map, Export to create a disk file in Enhanced Windows Metafile (*.emf) or Windows Metafile (*.wmf) format.
  • To use your map metafile in a Word document, open your word processing program and move to the place where you want your map
  • Click Insert, Picture and select the file you just created.
  • For web page use, click Clone, Send Map, Save for Web to prepare a special raster graphic map in a web-friendly (*.png) format.

Customize your Graphic Map

You can change the appearance or content of the high-resolution graphic map. You can turn on or off the printing of types of basic text information, select styles and colors for each feature type, select enzyme site styles, or change the size or position of the graphic map or add descriptive text to the map page. You can use a custom feature setting to distinguish a special feature and you can move a feature name to avoid overwriting, if necessary. Changing map print options will not affect the appearance of the working map in the molecule viewer window (with the exception of feature colors), but will affect printed, copied or exported maps.

Set map print options

  • Open a molecule file and click Map tab to view working map on screen
  • Click Map Print Options toolbar button (looks like paintbrush) to set default styles
  • Click Map Basics tab to set font face and indicate which text items to print, assign text colors
  • Click Features tab to select default styles and colors for each feature type (see below to customize an individual feature).
  • Click Sites tab to set font size, color for enzyme sites and indicate if you want basepair numbers or italics
  • Click Content tab to add molecule description and notes and/or a list of features and map sites to the printed map page.

Set custom feature settings

  • With the map visible on the screen, right-click on a feature name and select Customize

  • Select the style and color for this one feature
  • Or select Clear to remove the custom setting and return to the default setting

Shift a feature name

  • With the map visible on the screen, right-click on a feature name and select Shift Name
  • Enter the number of increments (in units of 1/10 inch) to move the feature name text horizontally or vertically on the printed page


Learn Clone Manager 7 Tutorial - Starting with New Sequence

Learn Clone Manager 7 - Tutorial

Starting with New Sequence

The great advances in DNA sequencing technology have made it very easy to explore genes and genomes at the level of DNA sequence. Clone Manager can read molecule files in standard GenBank, EMBL, or FASTA formats. It can also import plain sequence data, perhaps from a sequencer-generated data file or sequence data sent by a colleague.

Once you have imported your new sequence data, you can then explore the sequence and add additional information to complete a more complex molecule file. You can add features (like genes), enzyme recognition sites, a molecule name or description, and notes or comments about the sequence. Once you've completed the new molecule, you can save your data to a disk file, ready for later use.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Read in Sequence
Find Enzyme Sites
Find Open Reading Frames
Enter Molecule Information

Read in Sequence

If you have plain sequence data in a file or sequence data you can copy to the Windows clipboard, you can read this sequence into Clone Manager. Assuming you got sequence data in an e-mail document from a colleague, you could take the following steps:

To read sequence from the clipboard

  • In your e-mail document or other Windows workspace, select (highlight) the sequence data
  • Click Edit, Copy to place the sequence data on the Clipboard
  • In Clone Manager, click File, Import from Clipboard

Sequence can be in upper- or lower-case letters and the program knows how to handle basepair numbers and spaces between blocks of bases. Non-sequence lines (comments), if present, should start with a semi-colon. When the sequence has been imported, you will see a dialog box, similar to that shown below.

You can check that the number of bases imported is correct, you can set the molecule to be circular if appropriate, and you can initiate an AutoScan to find enzyme sites. The molecule does not yet have a name, but you can add one, as well as descriptive information or comments (see last section).

Find Enzyme Sites

When you open a molecule file that contains no enzyme site information, the program will automatically get ready to do an AutoScan to find enzyme sites. You can also do an AutoScan at any time by starting the operation yourself. The AutoScan operation will look for single cutters and automatically enter the enzyme sites to the molecule map in one easy operation. The enzymes used for the scan are major, commercially-available enzymes with recognition sequences of 6 or more bases.

To start an AutoScan for enzyme sites

  • Open a molecule file or select a molecule from the Molecule List to open the molecule viewer window
  • Click Operations, AutoScan or use the AutoScan toolbar button in the map window
  • If your molecule already has some enzyme sites, you can indicate if you want to replace these sites or simply add the new enzyme sites (append) to the existing list

Alternatively, you might want to add all of the enzyme sites for just the enzymes you have in your freezer. This is where user enzyme lists come in handy. The tutorial User-Defined Enzyme Lists will help you to build your first enzyme list and show you how to use it to find all sites in your molecule.

Find Open Reading Frames

When you do an ORF search, you can indicate if you require that each ORF start at an ATG or GTG codon and you can set the minimum acceptable ORF size. When the search is completed, you can select ORFs to add to your molecule as possible genes. To follow along with this exercise, you can use your own plain sequence data or you can load the file Lrn_SpBR.cm5 (found in the same folder as this tutorial). This file was used to generate the figures in this section.

To do an ORF search

  • With a molecule file open, click Operations, ORF Search or use the Find ORFs toolbar button in the map window and set search options
  • When the results appear, click on a column header to sort the data by starting basepair position, frame, or length in amino acids (default)
  • Click in the scrolling list box to select an ORF and note its location (red arrow) above the iconic map. (If your molecule already has genes in the feature table, they will be shown in the map display.)
  • Click the Enter Gene button to enter the selected ORF as a gene in the features table for the molecule.

To see all of the listed open reading frames positioned in their approximate locations in the six translation frames, click in the Show Overview checkbox. The overview display will replace the iconic map display. The highlighted ORF in the scrolling list is shown in red.

You can also do a more complex open reading frame analysis that uses Fickett's TESTCODE algorithm to generate a score that can help you determine whether or not an open reading frame is likely to be a protein coding region. Just click the Analyze ORFs button in the lower left in the setup box for the ORF Search to jump to this alternate function.

Enter Molecule Information

Once the molecule has enzyme sites and perhaps some possible genes, it's time to add a molecule name and descriptive information.

To add molecule info

  • With a molecule file open, click the Info tab (along the bottom of the molecule viewer window)
  • Click the Edit button in the window toolbar to allow changes to the data entry fields.
  • Replace "NoName" with a more meaningful molecule name
  • Add a description or notes, if desired

Remember to save your file to disk when you've finished adding all your information.


Learn Clone Manager 7 Tutorial - Restriction Map Data

Learn Clone Manager 7 - Tutorial

Restriction Map Data

Understanding the positions and pattern of restriction enzyme cut sites is central to molecular biology. Whether you need to cut out a region for subcloning or need to verify that a PCR-amplified region is correct, the ability to quickly and easily get restriction map data is critical.

Clone Manager displays restriction map data for the active molecule (or the zoomed region of the molecule) in the molecule viewer window. You can select the data display style, sort or filter the data, or use the toolbar buttons in this window to get more information about the enzymes listed or initiate actions using these enzymes. You can print the data in this view window, copy this view to the clipboard, or export the view data to a disk file for later use in another program.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Viewing Restriction Map Data
Using Restriction Map Data
Filter Restriction Map Data

Viewing Restriction Map Data

You can load the file Lrn_SpBR.cm5 (found in the same folder as this tutorial) or load one of your own molecules. Restriction enzyme recognition site information is listed in table formats or displayed in graphic formats. You can use the combo box in the toolbar to select a different enzyme list if you want to regenerate the restriction map data using another enzyme list. Clone Manager is pre-configured with several standard lists but you can easily create personal lists, such as a list of enzymes that are routinely used in your lab.

To view restriction map data

  • Open a molecule file or select a molecule from the Molecule List to open the molecule viewer window
  • Click the RMap tab at the bottom of the window.
  • In the data display, click the third column header to select one of five data display styles (see below)
  • Click the first or second column headers to sort the data by enzyme name or number of sites

Enzymes with a large number of sites (more than 50), have the data display suppressed. AciI, shown above, has 67 recognition sites. You can click the small plus sign next to the enzyme name to display or hide this data.

Display styles

The List of Recognition Sites style (shown above) is the default style and shows data in a table format. The enzyme name is shown at the left and then the number of sites for this enzyme. The basepair position for each recognition site appears in ascending basepair order. This format is most useful when you need to know exactly where the recognition sequence is.

The Map of Recognition Sites style (shown below) is a graphic representation of restriction map data. We selected the user enzyme list Lab Standards (constructed in another tutorial) to generate this restriction map data. The enzyme recognition sites are marked by diamonds at their approximate location relative to the molecule map, shown in the top of the window. Although the resolution is low, this gives a very visual indication of site location.

You can also select data styles to show Fragment Sizes or a Gel View of Fragments. These formats are most useful when you need to know the effect of cutting with each enzyme. Another display style creates a list of No Cutters, enzymes from the selected list that do not cut the molecule at all.

If you always want to use a specific display style, you can remember this style (click Format button, select style and then click Memorize button). Whenever you open a restriction map view, your selected style will be used by default.

Using Restriction Map Data

You can use the restriction map data to find enzymes that will cut your molecule where needed, or to find enzymes that will not cut your molecule. You can use toolbar buttons to view supplier, isoschizomer, or compatible ends information for the selected enzyme, or take action to cut with this enzyme or enter the sites found to your molecule map. You can use the Filter button to set options to show you just the information you need (see next section).

Click the No Cutters button to see a list of enzymes that do not cut within the active molecule (or that do not cut within the zoomed region of the molecule). Click the depressed No Cutters button to return to the prior data display.

To get enzyme information

  • Select (highlight) the enzyme.
  • Click the Properties button to see the enzyme recognition sequence, cut position, overhang created, and the type of methylation sensitivity (if applicable).
  • Click the Suppliers button to see a list of the companies that supply this enzyme.
  • Click the Isoschizomers button to see the enzymes with the same recognition sequence. These enzymes may cut in the same way or they may cut differently.
  • Click the Compatible Ends button to shows the cohesive ends (if any) produced by cutting with this enzyme and a list of enzymes that would produce compatible ends. For enzyme recognition sites with ambiguous bases, each possible cohesive end and compatible enzymes are shown.

To initiate actions

  • Select (highlight) the enzyme.
  • Click the Cut With Enzyme button to cut the molecule at all of the sites found for this enzyme. You can enter fragments to the molecule list for immediate or later use.
  • Click the Enter Sites to Map button to enter all of the recognition sites found for this enzyme to the molecule map in one easy step.

Filter Restriction Map Data

If you are searching for enzymes that would be useful for a specific purpose, you can use filtering to apply selection criteria. In the restriction map window, you can set filter options to limit the data displayed to just what you need at this time. You can filter based on how enzymes will cut your molecule or based on enzyme characteristics.

Click the Filter button to access the filter options you can set. (When the filter has been applied, this button will be depressed.)

Filter by cut information

  • To limit the data to enzymes that cut a specified number of times, click the checkbox to set the Cut N Times option and enter the value for N. (In this example, we selected enzymes that cut only once or twice.)

  • To eliminate enzymes that cut within a region you would like to protect, click the checkbox to set the Cut Outside Region option and enter two basepair position numbers. Enzymes that cut in this region will be eliminated. This option could be used for subcloning a gene or region.
  • To limit the data to enzymes that do cut inside a specified region, click the checkbox to set the Cut Inside Region option and enter the two basepair position numbers. Enzymes that cut at least once within this region will be included.
  • To identify two cut zones, use both the Cut Inside Region and Cut Outside Region settings at the same time -- the Cut Outside (protect) Region should be nested within the Cut Inside Region to construct the two zones.

Filter by enzyme characteristics

  • To limit the data to enzymes that produce specific end types, click in the appropriate checkbox to select ends with a 5' overhang, ends with a 3' overhang, or blunt ends. (You can select more than one option)

  • To specify the number of bases you require in the enzyme recognition sequence, click in the checkboxes to select recognition elements of >6 or 6, 5, or 4 bases in length. (In this example, we selected 6 or more bases.)

To remove a filter, click the depressed Filter button to return to the full data display.


Learn Clone Manager 7 Tutorial - Informative Sequence Display

Learn Clone Manager 7 - Tutorial

Informative Sequence Display

One of the important features of the Clone Manager program is the wide variety of formatting options for sequence data and associated data elements. You can set the display style for sequence data and you can select the additional information that will appear along with the sequence. Display any combination of sequence, enzyme sites, sequence labels, translation, annotation, and memorize your favorite style settings to recall later with the My Style button.

Once the sequence display is just the way you want it, you can copy the formatted sequence to the Windows clipboard or send it to a disk file for later use in another application. Or you can send it to your printer to prepare a document for your records.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Set Sequence Style
Show Additional Information
Customize

Set Sequence Style

You can load the file Lrn_SpBR.cm5 (found in the same folder as this tutorial) or load one of your own molecules. To view sequence data, open the molecule viewer window and click the Sequence tab at the bottom of the window. If you have a very large molecule, or need to prepare a figure that shows only a critical area of your sequence, you can select to display only a part of the molecule sequence.

To set sequence display style

  • With the sequence visible on the screen, click the Format button
  • Click the Style tab if not already selected
  • In the Sequence options area (center), select single- or double-stranded
  • Select block size (10 or 3) and choose upper- or lower-case letters

View part of sequence

  • With the molecule open in the molecule viewer window, click the Zoom button (left end of tab bar at bottom of window)
  • Select option Zoom to Show Region Specified
  • Enter the start and end bp positions for the region to display.

Show Additional Information

You can select the additional information that will appear along with the sequence and you can set the default colors for sequence text items. Enzyme sites can be displayed if you're using Clone Manager or the Clone Manager Suite. Primer sites can be displayed if you're using Primer Designer or the Clone Manager Suite.

To select additional information

  • With the sequence visible on the screen, click the Format button
  • Click the Style tab if not already selected
  • Use check boxes to indicate which items should be displayed with the sequence data
  • For selected items, set related options (see below)

Enzyme Sites -- shown above the sequence line. Select the source of the enzyme data: you can use enzyme sites that appear on the working map, enzyme sites that the program will find using the AutoScan enzyme list, or enzyme sites that are currently shown on the RMap tab.

Marking the enzyme recognition position above the line of sequence shows the precise location of important enzyme cuts. When combined with other annotation information, enzymes can be quickly selected based on the cloning or analysis task needed.

Sequence Labels -- shown on the sequence line itself. You can display sequence labels by coloring the bases in the sequence and/or applying color to the background behind the sequence bases, or you can invert the case of the sequence characters.

Labels are most useful for short sequences that have special significance, like a binding site for a regulatory cofactor or a processing site.

Translation -- shown below the sequence line. Show 3 frames, single frame 1, 2 or 3 (as selected), or all 6 frames of translation. Show amino acid codes in 1-letter or 3-letter styles.

Annotations -- shown below the sequence line. Show genes, all map features (genes, regions, markers), or translated genes. For translated genes, you can select 1-letter or 3-letter amino acid codes.

You can select the default color to be used for each type of sequence text that can be displayed. Colors can help to distinguish one type of text (such as amino acid codes) from another (such as the sequence being translated). Colors selected for features will apply to all text of that type, but you can use a custom feature setting to distinguish a special feature (see next section).

To set default sequence text colors

  • Click the Colors tab
  • Select the preferred color for each item type

Customize

You can set a color for one individual feature, to make this feature stand out in the sequence. This may be especially useful for sequence labels, where you want to distinguish one special part of the sequence from another special part of the sequence. You can add a sequence label feature to your molecule or the sample map file (or just change a gene or region into a sequence label) and then experiment with customizing this feature.

To add or edit a feature

  • With the molecule open in the molecule viewer window, click the Features tab
  • Click the Add Feature button to add a new feature. Enter a feature name, set the feature type to Label, and enter the start and end basepair positions
  • Or click the Edit Feature button to change the feature type for an existing feature to Label.

To set custom feature colors

  • Click the Features tab to move to the features table
  • Select (highlight) the feature
  • Click the Customize style button
  • Select the color for the annotations text for this one feature

For a sequence label type of feature, you can set the color for the label bases and the color for the background behind the bases. The sequence label style selection (Color Bases, Color Background, Invert Case or Two Colors) determines how these colors will be used. In the features table view, a boxed area below the list is used to show the styles set for the selected feature.

To check out the sequence display for your new custom setting, click the Sequence tab. Make sure the style is set to display sequence labels (click Format, then set check box for Sequence Labels) then click the Go To button (yellow arrow) and enter the basepair number for your sequence label. This will cause the sequence to scroll to a position where your label should be positioned near the center of the display. If you entered a name for the sequence label, this name will be shown below the sequence label, approximately centered.


Learn Clone Manager 7 Tutorial - Using Results and Sharing Data

Learn Clone Manager 7 - Tutorial

Using Results and Sharing Data

The Clone Manager program produces a wealth of useful data and makes it easy for you to use this data in other Windows programs. You might want to include a molecule map, annotated sequence data, or results of an analysis in a progress report, grant application or seminar slide presentation. The data in almost any view window can be sent to the clipboard or sent to a disk file for later use in other Windows programs.

It is also easy to share your molecule data with colleagues who do not use the Clone Manager program or to export sequence data for use in other applications.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Using Results Data
Sharing Data

Using Results Data

Data you might want to use could include the molecule map, formatted sequence, filtered restriction map data, or the results of a molecule analysis. You will want to get this data ready for use (format or filter it), send the data to the clipboard or a disk file, and then use this data in another application. If you want to use data more than once or if you want to maintain a copy of the data for archival purposes, send the data to a disk file.

Get data ready

  • Open the molecule viewer window or perform the data analysis on your molecule
  • Format or filter the data until it is just the way you want it to appear
  • Change the width of the data window to control the amount of data per line, where appropriate (drag side edge with mouse)
  • Click File, Print Preview to check the appearance of the graphic (high resolution) molecule map

Click the Format button to select data display items, styles, colors for the sequence, restriction map or high resolution graphic map. Other tutorials will help you to learn how to customize your sequence, restriction map, or molecule map data.

Click the Filter button to limit the information in the restriction map display to just what you need at the moment. See the tutorial Restriction Map Data for more information about using the restriction map filter.

Use the Windows clipboard

  • With the data on the screen, click View, Send View to Clipboard
  • Information in the view window is automatically selected and then copied to the clipboard
  • In your word processing document, move to the place where you want to paste the data
  • Click Edit, Paste or Edit, Paste Special

When you paste the contents of the clipboard into your application using Edit, Paste or the toolbar Paste button, the application will select the format it wants from the clipboard. You can often use Edit, Paste Special and then select the format you want to override the default selection, if needed.

Use a disk file

  • With the data on the screen, click View, Send View to File
  • Information in the view window is automatically selected and prepared to be saved to disk
  • Select the file format (see below) and enter the filename and location
  • In your word processing document, move to the place where you want to insert the data
  • Click Insert, File (for text data) or Insert, Picture, from File (for graphic data) and identify your file

Text information (sequence, analysis results, etc) can be saved in HTML (*.htm), Rich Text Format (*.rtf), or Plain Text (*.txt) formats. The HTML format is a very good choice for use in current applications. It includes font information and provides support for both foreground and background text color information.

Graphic data (maps, line graphs, etc) can be saved in Enhanced Metafile (*.emf) or Windows Metafile (*.wmf) formats. The emf format is a good choice for current applications, but the wmf format may be needed for older programs.

Sharing Data

You may want to prepare a molecule file to give to a colleague who doesn't use Clone Manager. Or you may want to export just the sequence of your molecule to a disk file or copy the sequence in FASTA format onto the windows clipboard for use in a web-based application. All of these actions can be done using the Export Molecule Data function on the Operations menu.

To export molecule data

  • Open a molecule file or select a molecule from the Molecule List to open the molecule viewer window
  • Click Operations, Export Molecule Data
  • Select the data you want to export

  • Select the destination for the data export

The Sequence Only option exports just the sequence of bases in ASCII format using upper case letters, 50 bases per line, with no basepair numbers, and no header or other information. The FASTA option exports the sequence plus one line of descriptive information (molecule name, description) in FASTA format.

The GenBank-like format is a good choice for sending to a colleague. It contains the molecule name, size, description, features (genes, regions, markers), and sequence data, all with standard GenBank identifiers. Most other sequence analysis software should be able to read this format.

Using with webforms

Many sequence analyses are available at web sites associated with research institutes. You can use the same Operations, Export Molecule Data function to select the appropriate format (usually FASTA) and copy to clipboard options. On the web page, click in the sequence box and press Ctrl+V to paste in your FASTA-formatted sequence.


Learn Clone Manager 7 Tutorial - User-Defined Enzyme Lists

Learn Clone Manager 7 - Tutorial

User-Defined Enzyme Lists

Clone Manager uses enzyme lists to hold the information about each enzyme that is necessary for its use. This information includes the enzyme's recognition sequence, cut position, overhang, suppliers, isoschizomers. You can update the program-defined enzyme lists monthly using REBASE enzyme files so that you are always up-to-date with new enzyme information.

You can build user-defined lists that are subsets of the master lists of available enzymes. You can make collections of enzymes you routinely use or enzymes that you currently have on hand, and you can share these lists with others in your group.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Build a User Enzyme List
Use the New Enzyme List
Share User Enzyme Lists

Build a User Enzyme List

You can build a new enzyme list containing the names of enzymes you have in your lab freezer or enzymes you prefer to use for a particular project. The Build New Enzyme List wizard will help you through this process. Once your enzyme list has been created, you can later add or remove enzymes, as necessary.

Getting started

  • Click Clone, Enzyme Lists
  • Click the Build New button (right) to start the wizard
  • Set the option Point to Enzyme Names in a List and click Next.
  • Leave the enzyme list selection set to Commercial Main and click Next

Picking enzymes

  • When the list of enzymes appears, press the B key to move to the part of the list of enzymes that have names starting with the letter "B".
  • Click the check box to select the enzyme BamHI.

  • Scroll down to BglII and click the check box to select this enzyme.
  • Press the E key and then scroll to find the enzyme EcoRI and select this enzyme.
  • Scroll down to EcoRV and select this enzyme.
  • Use the same technique to find and select the enzymes HindIII, KpnI, NotI, PstI, PvuII, SalI, SmaI, and XbaI
  • These 12 enzymes complete the sample user-defined enzyme list, so click Next.

Finishing up

  • Review the enzymes selected and then click Next to accept the list.
  • Enter the name "Lab Standards" for your new list and click Finish.
  • Click Close to end work with enzyme lists.

Your new enzyme list is ready to use. If you want to add or remove enzymes from this list at another time, just click Clone, Enzyme Lists. Click the View List tab, select the enzyme list and clear the Read Only check box. Use the Add Enz or Del Enz buttons, as needed.

Use the New Enzyme List

You can use the new enzyme list in most places where you can select the enzyme list for an operation, such as Cut Molecule, Find Enzyme Sites, Restriction Map. You can also use the new list to find and then add to or replace the enzyme sites on a molecule map or display enzyme sites on your sequence data. Specific examples show you how to select the new enzyme list for each function. Open a molecule to use before you start these operations.

Cut molecule

  • Click Clone, Cut
  • At the left, set the option Enzyme(s)
  • In the Lookup area (right), set the Enzyme List to Lab Standards

  • The enzymes you selected now appear in the lookup list
  • Double-click on an enzyme in this list to paste this enzyme in the Cut With box (left)
  • Press OK to cut the active molecule with this enzyme.

Find enzyme sites

  • Click Clone, Find Enzyme Sites
  • In the Lookup area (right), set the Enzyme List to Lab Standards
  • At the left, set the option List of Enzymes
  • For the Find All setting, select the option All Sites User List

  • Click OK to find all sites for all the enzymes on your user enzyme list
  • Review the sites found and click the Add Sites button to add these enzyme sites to your molecule.
  • In the molecule viewer window, click the Map tab to see the enzyme sites on your molecule map.

Restriction map

  • In the molecule viewer window, click the RMap tab.
  • In the Enzyme List combo, click the down arrow and select the Lab Standards enzyme list

  • The data in the window will be regenerated to show enzyme recognition sites for the enzymes in your list.
  • Click on the column header for the third column to select the data display style
  • Click on an enzyme to select it and then use toolbar buttons to view Properties for the selected enzyme, cut with this enzyme, or add these sites to the molecule map.

Sequence data

  • In the molecule viewer window, click the Sequence tab.
  • Click the Format button in the toolbar in this window (looks like a paintbrush).
  • Click the check box to set the option Enzyme Sites.
  • Use the combo box to set the enzyme data source (the working map setting shows enzyme sites that you see on the Map tab, restriction map setting shows enzyme sites you see in the data on the RMap tab.)
  • Click the Colors tab to set the color for the enzyme sites.

  • Click OK to view the sequence with enzyme sites shown above the line of sequence bases.

Share User Enzyme Lists

You can export or import user enzyme lists to share a list with a colleague or to move your list from one computer to another. You can also rename a user enzyme list, if required.

To export or import a user enzyme list:

  • Click Clone, Enzyme Lists.
  • On the Enz Lists tab, click the Share button.
  • Set the Export option and select one of your user enzyme lists. Specify the file name and location for the new enzyme list file (*.dat) on disk.
  • Or set the Import option and browse to find a user enzyme list file previously exported and available for your use.


Learn Primer Designer 5 Tutorial - Analyze Mix Wizard

Learn Primer Designer 5 - Tutorial

Analyze Mix Wizard

Primer Designer makes it easy to analyze primer interactions, binding, and products formed from a mixture of primers and molecules. The Analyze Mix Wizard will help you to identify the primers and molecules to add to the mix and then set parameters for the analysis.

When the analysis has been completed, a list display will show you the possible products produced, binding sites, and any cautions noted (primer dimers that might affect the results, or molecules or primers that are not used).

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Start Analyze Mix Wizard
Review Results

Start Analyze Mix Wizard

In order to analyze possible primer interactions or binding and products produced in a mix, you will need to identify the primers, identify the molecules, and then set up the mix parameters. This practice example uses two molecule files (Lrn_HIV.cm5, Lrn_SpBR.cm5) and 6 primer files (PBR_*.pd4 or HIV_*.pd4 files) supplied with this tutorial. You can load the molecules now or use the Browse button in the Molecule List box or in the Primer List box to load the molecules or primers when you need them. You can also use the mix wizard to analyze possible interactions from a group of primers where no molecules are present in the mix and no products are produced.

Get started

  • Click Primer, Analyze Mix Wizard
  • After reading the brief instructions, click Next to add primers to the mix

Add primers

  • Click the Add Primer button to access the Primer List
  • Select the primers bla_f, bla_r, tet_f, tet_r, env_f, env_r
  • If the primers are not in the Primer List, use the Browse button (lower left) to find the 6 primer disk files (filenames start with PBR_ or HIV_ and have the *.pd4 extension)
  • You can select more than one primer at the same time by using the Shift or Control keys in conjunction with the mouse.

  • Click the Next button to add molecules to the mix.

The wizard now has 6 primers to add to the mixture for analysis and is ready to accept molecules.

Add molecules

  • Click the Add Molecule button to access the Molecule List
  • Select the molecules HIVHXB2 (file name Lrn_HIV.cm5) and SamplePBR (file name Lrn_SpBR.cm5)

  • Click Next to set the mix parameters

The wizard now has 2 molecules to add to the mixture for analysis. If you do not add any molecules to the mix, the program will simply report possible primer interactions.

Set parameters

  • Select the primer type (PCR or Sequencing). This information is used to preset annealing temperature and dimer criteria. You can change these settings, if needed.
  • Set the cutoff for percent priming needed to add a result to the list, or accept the default setting. Use the checkboxes to indicate which results categories you would like to view/print

  • Click Next to review the final instructions.
  • Click Finish to end your interaction with the wizard and begin the analysis.

Review Results

Once the mix analysis has been completed, the results will be displayed in a scrolling window. Results include a list of the possible products produced, a list of the binding sites found, and any cautions noted (primer dimers that might affect the results or molecules or primers that are not used). Using toolbar buttons in this window, you can create a product, view a primer report, or use bookmark buttons to move quickly to the cautions report or back to the top of the results display.

Products

Possible PCR amplification products will be listed in the first section, grouped by molecule. The product length, primer binding positions, and the two primer names are shown for each product. The products in this example include four expected products -- the env, bla, and tet genes amplified by the primer pairs designed. Two additional products are listed, resulting from bla and tet primers working in combination to produce longer products on the PBR molecule.

You can select (highlight) a product and create this product or see a detailed report.

Click the Create Product button on the toolbar to create this molecule. Set the option to enter the molecule to the Molecule List for use now, save to a disk file for later use, or export the product sequence.

Click the Primer Report button to view a report that gives detailed information about the two primers involved in creating the product, as well as additional information about the amplified product.

Binding Sites

Binding sites are reported in the next section, grouped by primer. The molecule name, binding position, number of homologous bases, number of mismatches, and Tm are shown for each binding site. You can select (highlight) a primer and see a detailed report about this primer.

In this example, each primer has only one binding site in each molecule and no unexpected binding in the other molecule. If primers bound to multiple sites or bound to unexpected molecules, this binding would be identified here. This is particularly important in situations where multiple molecules are being used and you need to be alerted to unexpected cross-molecule priming.

The binding sites shown meet the criteria set in the wizard for percent priming at the annealing temperature. Primers with mismatched bases or short, high-GC homologous regions would be reported here if their aggregate 3' end binding is significant.

Analysis Cautions

Analysis cautions are shown in the last section. 3' end primer dimers or any primer dimers that exceed the warning levels set will be noted here. The primers involved and the homologous bases are shown for each interaction. Molecules or primers that are not used are listed at the end of this section.

The primer bla_r does not create a primer dimer with its partner bla_f, but it does react at the 3' end with each of the other four primers in the mix. The interaction is just enough to trigger the warning (3 matches) and you can decide if you would like to select another bla_r primer or continue with the use of this primer. The primer env_r has two similar 3 base matches at the 3' end with the two tet primers.


Learn Primer Designer 5 Tutorial - Create Primer from Molecule

Learn Primer Designer 5 - Tutorial

Create Primer from Molecule

Primer Designer can create a PCR primer, sequencing primer, or probe using the sequence of a source molecule. The program will position a primer of the length you specify at the initial position you specify. You can then move the primer along the sequence or adjust its length until the primer evaluation meets the criteria set.

This design option is especially useful if you must have a primer very close to a specific location in your molecule.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Design Primer
View Primer and Evaluation
Analyze, Document Primer

Design Primer

In order to create and analyze a primer in a molecule sequence, you will need to identify the source molecule, the type and length of primer, and where you want to place this primer initially. In this example, we will use the molecule file HIVHXB2, supplied with this tutorial (file name Lrn_HIV.cm5). You can load this molecule now or use the Browse button in the Molecule List box to find and load the molecule when you need it.

Select molecule and start procedure

  • Click File, Molecule List or use toolbar button to access
  • Select molecule HIVHXB2 (file name Lrn_HIV.cm5)
  • Click Primer, Design or use Design Primer toolbar button.

Design primer

  • In the upper area, set the Primer Type to One PCR Primer.
  • Click the Criteria button to review (or possibly edit) evaluation criteria

  • In the lower area, enter 24 for the length in bases and select Required Length for the primer
  • Click the checkbox to indicate you want to add a 5' extension and then type in the bases GAATTC.

    • (The small button to the right of the edit box will help you with enzyme recognition sequences.)

  • Click Next to identify the source molecule and enter the target position.

The program has been instructed to prepare a primer that has a total length of 24 bases, including a 5' extension with the EcoRI recognition sequence. The program will evaluate the primer using PCR primer criteria.

Define molecule and target

  • In the upper area, verify that the molecule is shown as HIVHXB2 (you could use the Change button to select another molecule, if needed)
  • Set the option to Create from molecule (display in sequence).
  • For the Target Region / position, type in 336 (start of the gag gene).

    • (Use the features table button (at right) to find gene start and end positions.)

  • Click Finish to complete the instructions to the program.

The program will now position a primer of the length you specified at the initial position you indicated. The screen display will provide you with information about the primer evaluation and about the molecule in the region around the primer.

View Primer and Evaluation

The molecule sequence is shown across the center of the display screen, with the 5' and 3' ends marked. A simple map shows genes or regions above the sequence (in this case, the gag gene is shown). A horizontal line above the map may show tick marks at some locations. These are neighboring primers that will meet the criteria set. The primer sequence is shown in a boxed area below the molecule sequence. The 5' extension is shown as non-homologous to the molecule sequence (no vertical match lines).

The Primer Evaluation Bar across the bottom of the display window shows the primer evaluation (GC content, melting temperature (Tm), presence of dimers, stability, GC clamp, presence of runs or hairpins, and possible false priming). In this example, the primer does not meet all of the criteria (stability and GC clamp are flagged as problems). You can click on one of these colored values to see more details. Click the Edit tab at the bottom of the window to return to this view.

If the primer does not meet criteria, you can adjust the primer position or length until you find a primer that does meet criteria. If necessary, you can also change the primer 5' extension.

Adjust primer position

Four toolbar buttons can be used to move the primer to the left or right within the sequence (thereby changing the bases in the primer sequence). You can move one basepair position at a time or jump to the next position that meets the criteria specified. The toolbar buttons are Scan Left, Move Left, Move Right, and Scan Right. The primer will be re-evaluated in each new position after a move.

  • Click the Move Left toolbar button (or use the keyboard Left Arrow key) to move the primer to the left a few basepair positions and watch the primer evaluation update.
  • Click the Scan Left toolbar button (or use Ctrl+Left Arrow) to find the closest primer to the left that meets the criteria set.

Adjust primer length

Three toolbar buttons can be used to change (increase or decrease) the length of the primer or to change or remove the 5' extension. The toolbar buttons are Increase Primer Length, Decrease Primer Length, and Edit 5' Extension.

  • Click the Increase Primer Length button to add one or two bases to the 3' end of the primer and watch the primer evaluation update.
  • Or click the Decrease Primer Length button to remove one or more bases from the 3' end of the primer.
  • Current primer length is reported in the gray area, just above the primer display.

When the primer meets all of the criteria set, the icon at the left edge of the primer evaluation bar changes from a red 'x' to a green check mark. You can click the Info or Analyze tabs to find our more about this primer (see next section) or print a primer design report. You can also save the primer to disk for later use.

Analyze, Document Primer

Click the Analyze tab to view analysis information about the primer. The Primer Report (shown below) gives the criteria settings used to evaluate this primer, the actual values for each item, and an indication of whether the criteria were met. Click on one of the toolbar buttons in this window to get more detailed information about primer dimers, cautions (stability, runs, repeats, hairpins), false priming or other homologies found. The last toolbar button is used in many data display windows -- it calls up help information specific to this data view.

Add primer description, review information

Click the Info tab to review information about this primer. Information available includes primer sequence, length, composition, molar absorbance, where appropriate. If the primer was designed using a molecule (as in this example), bp position information and a molecule map are shown.

In the Info window toolbar, you can click the Edit Primer Definition button (first on left) to enter a name for the primer, a primer description, or notes. You can also link the primer to a molecule (or unlink it from the current molecule) or check the criteria settings.

Save primer to disk

Now that you've designed exactly the primer that you need and have entered descriptive information, it's a good time to save to disk.

  • With the primer visible in the primer viewer window, click the Save toolbar button
  • Enter a filename for the primer file and a file location


Learn Primer Designer 5 Tutorial - Primer Design Criteria

Learn Primer Designer 5 - Tutorial

Primer Design Criteria

This is an advanced topic for power users who need greater control of primer design constraints.

Primer Designer uses the values specified in the primer criteria settings in order to find or evaluate primers. Separate settings are stored for PCR primers, sequencing primers, probes or LCR oligos. The program also stores the concentrations of salts and oligos (experimental conditions) and uses these values for calculations. You can change the criteria settings for an individual primer or search, if needed. You can also change the default settings so that all new primers of that type use the modified criteria settings.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Primer Criteria Settings
Experimental Conditions Settings
More Information

Primer Criteria Settings

These settings make up the values referred to as Primer Criteria. You can change these settings for individual primers or specific searches, or you can change the program default settings, if desired.

GC Content -- GC % Range for primers: Preset values (PCR): min 50%, max 60%. Match pairs for GC: Preset value: match GC of primers in pairs to within 5% GC.

Melting Temperature (Tm) -- Tm ºC Range for primers: Preset values (PCR): min 55ºC, max 80ºC. Match pairs for Tm: Preset value: match Tm of primers in pair to within 10ºC.

Annealing Temperature -- Preset value (PCR): 55ºC. You can enter the annealing temperature that you typically use in your PCR reactions. Along with stability, controls formation of hairpin loops and false priming.

Stability 5' vs 3' -- Preset value: 1.2 kcals (SantaLucia energy parameters) or 2.0 kcals (Breslauer energy parameters). You can enter the value (in kcals) by which the 5' end pentamer stability must exceed the 3' end pentamer stability. Not applicable for probes.

Dimers -- Preset values (PCR): Less than 3 matching bases at 3' end, less than 7 adjacent homologous bases. You can enter the number of matches at the 3' end or the number of adjacent homologous bases which would cause primer rejection. 3' end dimers not applicable for probes.

Runs -- Preset values: Less than 4 base runs (any bases), less than 3 dinucleotide pair repeats. You can enter the number of bases (any) or the number of dinucleotide pairs which would cause primer rejection.

Protein degeneracy -- Preset value: less than 8 within 6 bp of 3' end. You can enter the degeneracy value for the 6 bases at the 3' end which would cause primer rejection. Not applicable for probes.

GC Clamp -- Preset value: Require 1 G or C at the 3' end of the primer. You can enter the minimum number of G's or C's required at the 3' end or enter 0 to disable. Not applicable for probes.

To change primer criteria during search setup

  • In the setup dialog box, click the Criteria button
  • Make criteria changes as required
  • These criteria settings will be used in finding and evaluating primers during this search
  • Click the Defaults, Set As... button if you want to use the new settings for all future primers of this type

You can also view or edit all of the primer criteria or oligonucleotide or salt concentrations used for all types of primers. Because of the wide variation in experimental conditions used for hybridization probes or sequencing primers, the default criteria for these primer types have been set very loose. It is recommended that you update these settings to reflect your preferences and save these settings for future use. Of particular importance are the annealing temperature and the settings for salt and oligonucleotide concentration.

To view or edit default primer criteria settings

  • Click Primer, Default Primer Criteria
  • Click the tab for the type of primer
  • Review or change criteria settings
  • Click the Conditions tab
  • Review or change oligonucleotide or salt concentrations

Experimental Conditions Settings

You can select the energy parameters you want the program to use to calculate Tm. A new unified set of nearest neighbor parameters (SantaLucia 1998) can be selected to replace the more classic nearest neighbor parameters of Breslauer (1986). When the energy model has been changed, the program will automatically reset the stability value to work with the energy parameters selected.

You can also set the concentrations of oligonucleotides or salts you use in your experimental conditions. These concentrations are used in Tm calculations. the following values are present by the program.

PCR Primers -- Oligonucleotide 100.0 nanomolar; Salt (K/Na) 50.0 millimolar; Free magnesium 1.5 millimolar

Sequencing Primers -- Oligonucleotide 20.0 nanomolar; Salt (K/Na) 50.0 millimolar; Free magnesium 1.5 millimolar

Probes -- Oligonucleotide 0.4 nanomolar; Salt (K/Na) 1000.0 millimolar; Free magnesium 0.0 millimolar

LCR Oligos -- Oligonucleotide 4.0 nanomolar; Salt (K/Na) 100.0 millimolar; Free magnesium 0.0 millimolar

These concentrations are used to calculate Tm (melting temperature). Higher oligonucleotide concentrations result in higher Tm values. We have set the default concentration for PCR to be the typical concentration of primer added to the reaction and, therefore, the Tm predicts the melting temperature for the critical first round of amplification. Some prefer to use sub-nanomolar concentrations to derive an "average" Tm throughout the reaction.

To change energy parameters or concentration values

  • Click Primer, Default Primer Criteria
  • Click the Conditions tab
  • Select the energy parameters model
  • Enter the concentration values you want the program to use

More Information

The design of primers, or oligomers, involves a compromise between the goal of using a primer at a desired base pair position, such as the start of a region to be amplified, and the requirement to avoid the potential pitfalls that could result in a primer that fails to function. Many investigators follow a set of rules, or guidelines, for designing primers that seek to eliminate primers with a poor chance of success.

In the overview of Primer Design Theory, we have tried to give a brief discussion of the most important concepts in primer design. Most of the topics turn out to be criteria by which we evaluate primers during a design operation. For each item, we also give suggestions for changing the program criteria settings, if necessary, when a search has been unable to find primers.

To view overview

  • In the Primer Designer or Clone Manager Suite program, click Help, Help Topics
  • Click the Contents tab
  • Click on the expander (+ sign) to open the References section
  • Click on the topic Browse Sequence - Basics of Primer Design Theory

Additional reading suggestions can also be found in the last section of the browse sequence.


Learn Primer Designer 5 Tutorial - Direct Entry of Primer

Learn Primer Designer 5 - Tutorial

Direct Entry of Primer

Primer Designer has a wizard that will help you enter (type in) sequence and other information for primers already in use or purchased commercially. You can evaluate or analyze the primer, save it to disk, link the primer to a molecule, or use it with another primer to create a product.

Later, you can scan this primer file and others in your collection to find which primers could bind effectively to a molecule of interest.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Enter New Primer
Use New Primer Now
Use Primers Later

Enter New Primer

The Direct Enter Primer Wizard will help you to enter basic primer information, the primer sequence, and extra descriptive information (optional). When the primer is complete, the primer viewer window will open and you can see the primer evaluation and have access to the analyze options.

Get started

  • Click Primer, Direct Entry to start the wizard and enter the basic, required information.
  • Enter a name for the primer. The name will appear on the primer list and in primer reports.
  • Select the primer type. The primer type sets the criteria used to evaluate the primer.

  • Click Next to enter the primer sequence

Enter primer sequence

  • Type in the sequence of bases for your primer.
  • Check base counter (below sequence) to see how many bases you have entered
  • Or paste the primer sequence from the clipboard if you already have access to this sequence data in another application.

After you have entered the primer sequence, you can invert (reverse complement) this sequence, if needed. This may be useful if you have entered a sequence from a publication, but need to use the complement strand for your primer. Just click the RevCompl button in the lower area of the wizard page.

Enter descriptive information

  • Click Next to enter a primer description or notes (optional)
  • Enter a short description of the primer. This description will appear on some program screens and printed reports.
  • Enter notes for the primer file. Notes can contain more detailed information about the primer (source, how used, where stored).
  • Click Finish to complete data entry.

The wizard will create the primer you described, enter the primer to the Primer List and open the primer viewer window so that you can review or analyze the primer.

Save primer to disk

  • With the primer open in the primer viewer window, click File, Save or use the toolbar Save button
  • Enter a file name and location for your new primer file

Use New Primer Now

If you purchased a commercial primer to use with a specific molecule (like a vector), you can load the molecule sequence file and attempt to link the primer to this molecule. The program will search the molecule, attempting to find possible sites where the primer could initiate priming. If priming sites are found, you can link a copy of the primer to the molecule at the site you select.

To link primer to a molecule

  • Open the primer viewer window for the primer you want to link and click Info tab
    (select primer from Primer List to open primer viewer window)
  • Click the Link to Molecule button [image] in the window toolbar
  • Set the Find Sites for Link option.
  • Select the molecule you want to link to (click Change... button)

  • Click OK to begin the search for possible priming sites.

If the Link to Molecule operation has found possible sites where the primer can initiate priming, each of the possible priming sites are shown in a scrolling list. The potential binding site can contain mismatched bases (reported in the column headed *m*). Non-homologous bases at the 5' end will be treated as a 5' extension.

You can select one of these positions and press the Link button to create a copy of the active primer linked to the molecule at the position specified. As the primer is entered to the primer list, you can modify the primer name or description, as needed. When the primer viewer window opens for the primer copy and its associated molecule, you can see the primer in its approximate location on the molecule map (Info tab)

or view the primer in the context of the surrounding sequence (Edit tab) and analyze false priming or any homologies for this primer and its molecule.

Use Primers Later

At some later time, you may want to use this primer, along with other primers and molecules, perhaps to create an amplified product. The Analyze Mix Wizard will analyze primer interactions, binding, and products formed from a mixture of primers and molecules.

The tutorial Analyze Mix Wizard will give you more information about this option.

You can also use a feature in the program to find sites where primers in your collection can bind effectively to a molecule of interest. The Find Primers that Bind option will open each primer file you designate, read the primer sequence and analyze its binding potential. You can add primer sites to molecule maps or formatted sequence displays.

The tutorials Find Primers that Bind and Show Primers on Map or Sequence will give you practice using these features.

You can link primers to new molecules for further analysis, unlink primers from molecules to create primer files that are not molecule-associated, or mutate primers, as needed, to insert changes to the sequence of a product. In the Primer Designer program, check Help, Help Topics for more information about linking molecules.


Learn Primer Designer 5 Tutorial - Show Primers on Map or Sequence

Learn Primer Designer 5 - Tutorial

Show Primers on Map or Sequence

Using Primer Designer, you can add primer binding sites to your molecule file. These sites can be added from the Find Primer Sites Results display, the Link to Molecule results display, the primer design search results display, or from the primer viewer window for a specific primer.

Once these sites have been added to the file, they can be displayed on the molecule map or in the formatted sequence.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Map Display
Sequence Display
Add Primer Sites to the Molecule

Map Display

In order to display primer sites on the molecule map, you will need to use a file containing primer sites or add primer sites to the molecule file, as described in the last section of this tutorial. For this example, we will use a file, supplied with this tutorial, that already contains a few primer sites (file name Lrn_PpBR.cm5). You can load this molecule now or use the Browse button in the Molecule List box to find and load the molecule when you need it.

If you are using the Clone Manager Suite, you can switch between the display of enzyme sites and the display of primer sites, as described below. If you are using Primer Designer as a stand-alone program, primer sites are automatically displayed and no enzyme site information is available.

Select molecule

  • Click File, Molecule List or use toolbar button to access
  • Select molecule PrimerPBR (file name Lrn_PpBR.cm5)
  • On the Map tab, you will see the standard molecule map with enzyme sites

Show primers

  • Click the Enzyme Sites/Primer Sites button [image] in window toolbar.
  • This will switch the display from enzyme to primer sites (or back again)

Primer binding sites entered for this molecule will appear on the molecule map (in place of enzyme sites). The map sites list (right) shows the primer name and the 5' end of the primer binding site (Pos). You can click on the column headers to sort by primer name or position if you have a long list of primer binding sites.

View more information about a primer site

  • Click on the primer site tet_f
  • Then click the Site Properties button [image] in window toolbar.

The Site Properties display reports the primer length, the position where the primer will bind in the molecule sequence, the actual primer sequence, and the description entered for this primer.

Sequence Display

You can display primer sites on the formatted sequence. In order to display primer sites, you will need to use a file containing primer sites or add primer sites to the molecule file, as described in the last section of this tutorial. For this example, we will use a file, supplied with this tutorial, that already contains a few primer sites (file name Lrn_PpBR.cm5). If you loaded this molecule to use for the previous section, you're ready to go.

Select molecule

  • Click File, Molecule List or use toolbar button to access
  • Select molecule PrimerPBR (file name Lrn_PpBR.cm5)

Format sequence

  • Click the Sequence tab in the molecule viewer window
  • To select the sequence style, click the Format button
  • On the Style tab, use the checkbox to turn on the display of Primer Sites
  • Select the display style Two Colors

  • Click the Colors tab
  • For Primer Sites, set the text color to Blue and the background color to Yellow

  • Click OK to accept the sequence display styles selected.

The formatted sequence display shows primer sequences above the molecule sequence, in their binding location. The primer bases are shown in blue on a yellow background, as specified. Lower case letters within the primer sequence are used to indicate a mismatched or unbound base, if present. The directional arrowhead after the primer name indicates the direction of priming. In the example of formatted sequence shown below, we also set the display styles to show double-stranded sequence and translated genes.

Add Primer Sites to the Molecule

Primer binding sites can be added to your molecule file from the Find Primer Sites Results display, the Link to Molecule results display, the primer design search results display, or from the primer viewer window (Edit tab) for a specific primer.

Find Primer Sites Results display
Click the Add Sites button to add all of the listed primer binding sites to the molecule file.

Link to Molecule results display
Click the Add Site button to add the selected (highlighted) primer binding site to the molecule file.

Primer Design Search results display
Click the Add Primer Site to Map toolbar button to add the binding site for the selected (highlighted) primer or primer pair to the molecule file.

Primer Viewer Window, Edit tab
Click the Add Primer Site to Map toolbar button to add the binding site for this primer to the molecule file.

While you are adding primer sites to the molecule file, you can enter or edit the name of the primer and its description. This information becomes a part of the molecule file and can be viewed using the Site Properties button on the map display. The primer name will appear on the map and on the sequence display, so a short but descriptive name is helpful.


Learn Primer Designer 5 Tutorial - Find Primers that Bind

Learn Primer Designer 5 - Tutorial

Find Primers that Bind

Primer Designer has a feature that will help you to find sites where primers in your collection could bind effectively to a molecule of interest. The program will scan primer files in folders on your computer or local network, opening each primer file, reading the primer sequence and analyzing its binding potential.

When the search has been completed, you can view the search results. Primer binding sites found can be added to the molecule file for display on the molecule map or formatted sequence.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Set up Search
View Results

Set up search

The Find Primers that Bind function will look for primers that bind to the active molecule, so your first step is to open the molecule of interest. Next, you will want to identify where the primer files can be found. Primer files created in Primer Designer ver 3, 4 or 5 (*.pd2 or *.pd4) can be read by the program. Primer Designer will automatically open each file and read the primer sequence.

For this example, we will use the molecule file HIVHXB2, supplied with this tutorial (file name Lrn_HIV.cm5). You can load this molecule now or use the Browse button in the Molecule List box to find and load the molecule when you need it. We will check a small group of primers, also supplied with this tutorial.

Select molecule and start procedure

  • Click File, Molecule List or use toolbar button to access
  • Select molecule HIVHXB2 (file name Lrn_HIV.cm5)
  • Click Primer, Find Primers that Bind or use toolbar button

Identify primer locations

  • In the upper area, verify that the molecule is shown as HIVHB2 (you could use the Change button to select another molecule, if needed)
  • Click the Add Folder button to select a folder location to add to the search list.
  • Navigate to the subfolder SampFile, located in the Tutorials folder and click OK.
  • The location is added to the list and the program reports that there are 6 primer files in this location.

In this simple example, we'll just check to see which of these 6 primers can bind to the HIVHXB2 molecule. You can have added multiple folders or multiple primer files to the search list. As your primer collection grows, you will probably have a number of locations where you store primers used for a specific purpose, or purchased from a specific supplier.

Click the Add Folder button to select a folder location to add to the search list. The program will attempt to open and read all primer files in the location specified, including those contained in subfolders.

Click the Add File button to select a primer file to add to the list. The program will attempt to open and read this file during the search procedure.

If you routinely use the same primer file locations, you can save the list of files and folders and recall this list at a later time. Two additional buttons (at the bottom of the vertical toolbar) handle Open List and Save List functions.

Search settings

The program will analyze each primer's binding potential to the active molecule. You can set the binding cutoff, to adjust the stringency of the search, and you can set the binding temperature. Or you can use the default settings (at least 50% binding at a binding temperature of 55C).

  • In the lower area, set the binding cutoff percent or use default setting
  • Enter the binding temperature for your experimental conditions or use default setting

  • Click OK to start the search for primers that bind

View Results

When a search for primer binding sites has been completed, the results will be presented in a scrolling list box and location map display. You can add all of these sites to your molecule file for display on the map or formatted sequence. If you do not want to add a specific binding site, use the Remove button to delete this site before you add the others to the molecule file.

In the results display, primer binding sites are listed, showing the primer name and the basepair position of the 5' end of the binding site. Also reported are the length of the binding site (LenB) and the length of the primer (LenP). If there are mismatches within the binding site, the number of mismatched bases is shown in the column *m*. You can click on the column headers to sort by primer name, position, or length of the binding site. Vertical bars above the icon map show the approximate location of the primer binding sites. A red arrow and red vertical bar mark the highlighted primer binding site.

In this example, the two primers designed to amplify the env gene bind to the HIVHXB2 sequence, flanking the env gene, as expected. The four other primers were designed against the tet and bla genes in the PBR322 molecule and do not bind to any locations in the HIVHXB2 molecule.

Add Sites -- click this button to add all of the primer binding sites shown to the molecule file and close the results window.

Remove -- click this button to delete the highlighted primer binding site from the list.


Learn Primer Designer 5 Tutorial - Search for Primer Pairs

Learn Primer Designer 5 - Tutorial

Search for Primer Pairs

Primer Designer can search the molecule and region you specify, looking for primers that meet the evaluation criteria you set. For PCR primer pairs, you can indicate if you want to amplify a complete target region or just a fragment within a specified size range.

Results are listed with basic information about each primer pair. You can sort the list and analyze or use any of the primers found. An alternate view lets you see which evaluation criteria eliminated possible primers during the search.

You can read this tutorial, starting at the beginning, or you can click on a topic below to jump to information you need right now. After viewing a topic, click the Back button to return to the top of this page. Click the Home button to leave this tutorial and return to the selection menu page.

Set up Search
View Results
View Primer Information

Set Up Search

To find potential primers using an automated search procedure, you will need to provide information about the primers you want to design and the source molecule and target region. In this example, we will use the molecule file HIVHXB2, supplied with this tutorial (file name Lrn_HIV.cm5). You can load this molecule now or use the Browse button in the Molecule List box to find and load the molecule when you need it.

Select molecule and start procedure

  • Click File, Molecule List or use toolbar button to access
  • Select molecule HIVHXB2 (file name Lrn_HIV.cm5)
  • Click Primer, Design or use Design Primer toolbar button.

Define primers

  • In the upper area, set the Primer Type to PCR Primer Pair.
  • Click the Criteria button to review (or possibly edit) evaluation criteria

  • In the lower area, enter 20 for the length in bases and select Optimal Length for each primer
  • Set the acceptable range to 19 to 21 bases, and do not add a 5' extension.

  • Click Next to identify the source molecule and enter the target region.

The program now has been instructed about the type and size of primers you are looking for. You want the primers for PCR work (so the PCR primer criteria will be used for evaluation). You want primers about 20 bases long, but you've told the program to check out primers just a little shorter or longer.

Define molecule and target

  • In the upper area, verify that the molecule is shown as HIVHB2 (you could use the Change button to select another molecule, if needed)
  • Set the option to Search for Primers.

  • To enter the target region, click the small button to the right (features table) and select the env gene. This enters the start and end basepair positions for you (or just type in the numbers shown).
  • Set the option to Amplify Complete Target Region

  • Click Finish to complete the instructions to the program.

The program will begin to evaluate primers of the length specified and in the region selected. In this example, the program will use the default PCR primer criteria settings, but you could modify these criteria to meet your own experimental goals. Once the program identifies all of the possible forward and reverse primers that meet criteria, it will try to match them up in pairs to meet the design objectives, again using criteria to now evaluate the pair relationship.

View Results

Primer pairs found will be listed in a table format, showing basic information about each primer pair. You can sort this list, send it to your printer, or analyze or use any of the primers found. Primer pairs can be sorted by quality (rank sort), by product length, or by primer position for the forward (A) or reverse (B) primers.

You can select (highlight) a primer pair and then use toolbar buttons in this results display window to view a report with detailed analysis information about the primer pair, enter the primers to the Primer List for later use, or add the primer binding sites to the molecule map. If you want to adjust the search, you can try the Auto Adjust Length or Auto Adjust Criteria buttons to make quick adjustments and repeat the search to try to find other primers (particularly useful if your search yielded only a short list of primers).

Note that in this example there is the potential for false priming at secondary sites with a Tm of 16°C. While this will probably not cause problems, it would be prudent to use hot-start protocols. It would also be a good idea to examine the False Priming analysis of the B (reverse) primer to see if other amplification products would be possible.

Search statistics

You can click the Search Results/Search Stats button to switch to an alternate view to see the summary of the primer evaluation tests performed. In our example, some primer pairs were eliminated because the GC content of each primer was not a close enough match, but a much larger number were eliminated because of 3' primer dimers.

If you were unable to find primer pairs, but you could find good forward and reverse primers, you could use the information in this display to identify the criteria you might consider adjusting in order to identify possible pairs. In this example, you could possibly compromise and accept pairs with more non-3' primer dimers. Click the Search Results/Search Stats button again to return to the search results list.

View Primer Information

Using the search results list (from example above), you can select a primer pair and review more information. You can look at detailed analysis results, view a simple map that shows the primer positions on the source molecule, and even create the amplified product. The Primer Viewer Window is used to give you access to all of this information in one compact location.

View primer analysis data

  • With the highlight bar on the first primer pair in the search results list, click the Primer Report button
  • The Primer Report summarizes the evaluation of each primer and compares values for the pair, using the comments field to add information that might be helpful to you
  • Click on one of the toolbar buttons in this window to get more detailed information about primer dimers, cautions (stability, runs, repeats, hairpins), false priming or other homologies found.

  • The last toolbar button is used in many data display windows -- it calls up help information specific to this data view.

View primer and product information

  • Click the Info tab at the bottom of the primer viewer window and review information about the primer sequences and the amplified product.

  • Click the Create Product toolbar button [image] in this window to create a new DNA molecule that is the PCR-amplified product of the two primers and associated molecule shown.
  • Close the primer viewer window (click X in upper right corner) and return to the search results list.

Select primers for later use

After reviewing the information (above), you can select the primers you want to keep.

  • With the highlight bar on the first primer pair, click the Enter to Primer List button
  • For the first primer, enter the name env_f, modify the description if desired and click OK.
  • For the second primer, enter the name env_r and click OK.

Now your primers are in the Primer List and can be selected for other operations or saved to a disk file.

  • To save a primer to a disk file, select the primer from the Primer List (to open the primer viewer window)
  • Click the Save toolbar button.
  • Enter a file name and select location.